OpenBSD Following -current and using snapshots [FAQ Index]


Active OpenBSD development is known as the -current branch. These sources are frequently compiled into releases known as snapshots.

Aggressive changes are sometimes pushed in this branch, and complications can arise when building the latest code or upgrading from a previous point in time. Some of the steps for getting over these hurdles are explained on this page. Make sure you've read and understand how to build the system from source before using -current and the instructions below.

In general, it's far easier to use snapshots, as developers will have gone through much of the trouble for you already.

You should always use a snapshot as the starting point for running -current. This process typically consists of running sysupgrade(8) with the -s flag. Alternatively, download (and verify) the appropriate bsd.rd file from the /snapshots/ directory of your preferred mirror, boot from it, and choose (U)pgrade at the prompt. Any installed packages should then be upgraded after booting into the new system.

Upgrading to -current by compiling your own source code is discouraged for everyone except for experts, as difficult build-time crossing-points can occur often, and no assistance will be provided. In case of failure, use a snapshot to recover.

Most of these changes will have to be performed as root.

2020/05/29 - [ports] net/isc-bind example files dropped

Outdated example configuration (including some "standard" zone files and an old root hints file) have been removed from the BIND 9 port. Root hints can be removed from your configuration, in which case the (newer) compiled-in defaults will be used. If your existing configuration uses these files, back them up before updating:
# cd /var/named
# tar czf old-bind-files.tgz etc/bind.keys etc/root.hint standard

2020/06/24 - TLS defaults changed in ldapd(8)

ldapd(8) no longer defaults to using the insecure TLSv1.0 and TLSv1.1 protocols and ciphers with tls and ldaps. If your environment requires this for compatibility with older clients, add the new legacy keyword before tls and ldaps in ldapd.conf(5).

2020/06/27 - libperl.a no longer installed

perl(1) no longer installs libperl.a. You should remove the old file.
# rm /usr/lib/libperl.a

2020/06/30 - snmpd.conf(5) socket no longer supported

snmpd.conf(5) no longer supports the socket keyword. The socket lines should be removed before upgrading.
$OpenBSD: current.html,v 1.1046 2020/06/30 17:23:19 martijn Exp $